mysqlpp::MutexFailed Class Reference

Exception thrown when a BeecryptMutex object fails. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::MutexFailed:
[legend]
Collaboration diagram for mysqlpp::MutexFailed:
[legend]

## Public Member Functions

| MutexFailed (const char *w="lock failed")
| Create exception object.
Public Member Functions inherited from mysqlpp::Exception
| Exception (const Exception &e) throw ()
| Create exception object as copy of another.
Exception & | operator= (const Exception &rhs) throw ()
| Assign another exception object's contents to this one.
| ~Exception () throw ()
| Destroy exception object.
virtual const char * | what () const throw ()
| Returns explanation of why exception was thrown.

## Additional Inherited Members

Protected Member Functions inherited from mysqlpp::Exception
| Exception (const char *w="") throw ()
| Create exception object.
| Exception (const std::string &w) throw ()
| Create exception object.
Protected Attributes inherited from mysqlpp::Exception
std::string | what_
| explanation of why exception was thrown

## Detailed Description

Exception thrown when a BeecryptMutex object fails.

The documentation for this class was generated from the following file:

- exceptions.h